ServerEvents.recipes(event => {
    //碎船兽
    event.recipes.summoningrituals
        .altar('alexscaves:gazing_pearl')
        .id('alexscaves:hullbreaker')
        .mobOutput(
            SummoningOutput.mob('alexscaves:hullbreaker')
                .count(1)
                .offset(0, 3, 0)
                .spread(3, 0, 3)
        )
        .input('jerotesvillage:ocean_gemstone')
        .input('pasterdream:blue_heart_of_the_sea')
        .input('cataclysm:abyssal_sacrifice')
        .recipeTime(20);
    //磁控机兵
    event.recipes.summoningrituals
        .altar('alexscaves:magnetic_activator')
        .id('alexscaves:magnetron')
        .mobOutput(
            SummoningOutput.mob('alexscaves:magnetron')
                .count(1)
                .offset(0, 3, 0)
                .spread(3, 0, 3)
        )
        .input('2x alexscaves:azure_neodymium_node')
        .input('2x alexscaves:scarlet_neodymium_node')
        .recipeTime(20);
    //窥心者
    event.recipes.summoningrituals
        .altar('alexscaves:desolate_dagger')
        .id('alexscaves:watcher')
        .mobOutput(
            SummoningOutput.mob('alexscaves:watcher')
                .count(1)
                .offset(0, 3, 0)
                .spread(3, 0, 3)
        )
        .input('8x alexscaves:dark_tatters')
        .input('16x alexscaves:moth_dust')
        .recipeTime(20);
    //遗弃者
    event.recipes.summoningrituals
        .altar('alexscaves:occult_gem')
        .id('alexscaves:forsaken')
        .mobOutput(
            SummoningOutput.mob('alexscaves:forsaken')
                .count(1)
                .offset(0, 3, 0)
                .spread(3, 0, 3)
        )
        .input('16x alexscaves:dark_tatters')
        .input('3x alexscaves:vesper_wing')
        .recipeTime(20);
    //撼地撕拉
    event.recipes.summoningrituals
        .altar('alexscaves:tremorzilla_egg')
        .id('alexscaves:tremorzilla_egg_1')
        .mobOutput(
            SummoningOutput.mob('alexscaves:tremorzilla')
                .count(1)
                .offset(0, 3, 0)
                .spread(3, 0, 3)
        )
        .input('4x alexscaves:waste_drum')
        .input('16x alexscaves:uranium')
        .recipeTime(20);
    //霜冻傀儡
    event.recipes.summoningrituals
        .altar('legendary_monsters:eye_of_frost')
        .id('legendary_monsters:eye_of_frost_1')
        .mobOutput(
            SummoningOutput.mob('legendary_monsters:frostbitten_golem')
                .count(1)
                .offset(0, 3, 0)
                .spread(3, 0, 3)
        )

        .input('16x minecraft:ice')
        .input('16x minecraft:packed_ice')
        .input('16x minecraft:blue_ice')
        .recipeTime(20);
    
    //末影遣使
    event.recipes.summoningrituals
        .altar('legendary_monsters:eye_of_chorus')
        .id('legendary_monsters:eye_of_chorus')
        .mobOutput(
            SummoningOutput.mob('legendary_monsters:endersent')
                .count(1)
                .offset(0, 3, 0)
                .spread(3, 0, 3)
        )

        .input('32x minecraft:chorus_fruit')
        .input('32x minecraft:popped_chorus_fruit')
        .recipeTime(20);

    //潜影拟态者
    event.recipes.summoningrituals
        .altar('legendary_monsters:eye_of_shulker')
        .id('legendary_monsters:eye_of_shulker')
        .mobOutput(
            SummoningOutput.mob('legendary_monsters:shulker_mimic')
                .count(1)
                .offset(0, 3, 0)
                .spread(3, 0, 3)
        )

        .input('16x minecraft:shulker_shell')
        .input('32x minecraft:end_stone')
        .recipeTime(20);

    //骷髅蜥龙
    event.recipes.summoningrituals
        .altar('legendary_monsters:eye_of_bones')
        .id('legendary_monsters:eye_of_bones')
        .mobOutput(
            SummoningOutput.mob('legendary_monsters:skeletosaurus')
                .count(1)
                .offset(0, 3, 0)
                .spread(3, 0, 3)
        )

        .input('32x minecraft:bone')
        .input('32x minecraft:bone_block')
        .recipeTime(20);
    
    //凋零恶煞
    event.recipes.summoningrituals
        .altar('legendary_monsters:eye_of_soul')
        .id('legendary_monsters:eye_of_soul')
        .mobOutput(
            SummoningOutput.mob('legendary_monsters:withered_abomination')
                .count(1)
                .offset(0, 3, 0)
                .spread(3, 0, 3)
        )

        .input('3x minecraft:wither_skeleton_skull')
        .input('3x minecraft:wither_rose')
        .input('16x biomancy:withering_ooze')
        .recipeTime(20);

    //熔岩食者
    event.recipes.summoningrituals
        .altar('legendary_monsters:eye_of_magma')
        .id('legendary_monsters:eye_of_magma')
        .mobOutput(
            SummoningOutput.mob('legendary_monsters:lava_eater')
                .count(1)
                .offset(0, 3, 0)
                .spread(3, 0, 3)
        )

        .input('32x minecraft:magma_block')
        .input('64x minecraft:netherrack')
        .recipeTime(20);



    //云魔
    event.recipes.summoningrituals
        .altar('legendary_monsters:eye_of_air')
        .id('legendary_monsters:eye_of_air')
        .mobOutput(
            SummoningOutput.mob('legendary_monsters:cloud_golem')
                .count(1)
                .offset(0, 3, 0)
                .spread(3, 0, 3)
        )

        .input('16x legendary_monsters:cloud_rod')
        .input('8x pasterdream:congeal_wind')
        .recipeTime(20);


    //蔓生巨像
    event.recipes.summoningrituals
        .altar('legendary_monsters:eye_of_moss')
        .id('legendary_monsters:eye_of_moss')
        .mobOutput(
            SummoningOutput.mob('legendary_monsters:overgrown_colossus')
                .count(1)
                .offset(0, 3, 0)
                .spread(3, 0, 3)
        )

        .input('32x minecraft:moss_block')
        .input('8x minecraft:azalea')
        .input('minecraft:flowering_azalea')
        .recipeTime(20);

    //荒古守卫者
    event.recipes.summoningrituals
        .altar('legendary_monsters:eye_of_many_ribs')
        .id('legendary_monsters:eye_of_many_ribs')
        .mobOutput(
            SummoningOutput.mob('legendary_monsters:ancient_guardian')
                .count(1)
                .offset(0, 3, 0)
                .spread(3, 0, 3)
        )

        .input('16x legendary_monsters:ancient_spike')
        .input('4x legendary_monsters:chiseled_ancient_dripstone_shard')
        .recipeTime(20);

    //圣骑
    event.recipes.summoningrituals
        .altar('legendary_monsters:eye_of_ghost')
        .id('legendary_monsters:eye_of_ghost')
        .mobOutput(
            SummoningOutput.mob('legendary_monsters:posessed_paladin')
                .count(1)
                .offset(0, 3, 0)
                .spread(3, 0, 3)
        )

        .input('8x legendary_monsters:knights_sword_blade_half')
        .input('8x legendary_monsters:long_stick_half')
        .recipeTime(20);


    //沙丘哨兵
    event.recipes.summoningrituals
        .altar('legendary_monsters:eye_of_sandstorm')
        .id('legendary_monsters:eye_of_sandstorm')
        .mobOutput(
            SummoningOutput.mob('legendary_monsters:dune_sentinel')
                .count(1)
                .offset(0, 3, 0)
                .spread(3, 0, 3)
        )

        .input('8x legendary_monsters:ancient_sandstone_shard')
        .input('32x minecraft:gunpowder')
        .recipeTime(20);
})